Debian Bug report logs - #484700
busybox: chpasswd fails to set root password

version graph

Package: busybox; Maintainer for busybox is Debian Install System Team <debian-boot@lists.debian.org>; Source for busybox is src:busybox.

Reported by: Neil Williams <codehelp@debian.org>

Date: Thu, 5 Jun 2008 18:48:18 UTC

Severity: important

Tags: unreproducible

Fixed in version 1:1.17.1-8

Done: Michael Tokarev <mjt@tls.msk.ru>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report stored:
Bug#484700; Package general. Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
New Bug report received and filed, but not forwarded. Full text and rfc822 format available.

Message #5 received at quiet@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Debian Bug Tracking System <quiet@bugs.debian.org>
Cc: Debian Embedded <debian-embedded@lists.debian.org>
Subject: buildd.emdebian.org: busybox chpasswd broken in crossbuilt package
Date: Thu, 05 Jun 2008 19:44:18 +0100
[Message part 1 (text/plain, inline)]
Package: general
Severity: important
User: codehelp@debian.org
Usertags: buildd.emdebian.org

chpasswd needs to be able to set a default root password in batch mode
and this works in Debian but the cross-built package is failing -
returning an exit value of 1.

This prevents the root password being set automatically.

Could be a problem with the existing configuration of other packages or
it may be a problem in the busybox config.

Workaround is to mount the rootfilesystem on a compatible device, chroot
into it and run passwd manually, providing the password interactively.


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.25-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash


-- 
Neil Williams <codehelp@debian.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <debian-devel@lists.debian.org>:
Bug#484700; Package general. Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to <debian-devel@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 484700@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 484700@bugs.debian.org
Subject: further info and fix
Date: Tue, 05 Aug 2008 10:46:55 -0300
[Message part 1 (text/plain, inline)]
After discussions with Bernhard on IRC, this bug has been fixed in
busybox SVN (1.12.0) and tested in Emdebian.

<codehelp> blindvt_ : the new busybox chpasswd now *works* yippee!
 the test command I used was:
 echo "neil:balloontest" | chpasswd
 Ctrl-D
 echo $?
 $ 1
 echo "neil:balloontest" | /tmp/busybox chpasswd
 Password for 'neil' changed
 echo $?
 $ 0
 testing with su neil; su neil shows that the first command failed to
modify the password, the second one (from SVN) works fine.
blindvt_: codehelp, ok, thus i consider this fixed. You may want to
verify if it works with 1.11.x; If not then i'm willing to backport
fixes to 1.11.x
<blindvt_> codehelp, and perhaps try svn trunk with the config you used
for your non-working version
 codehelp, let's play safe. Perhaps it works with 1.10.x and it is just
somehow misconfigured
<codehelp> blindvt_: which revisions in SVN relate to this fix, is it
only r23046 ?
 it's too close to the Lenny release to go even to 1.11 so I'll be
looking at whether this works in 1.10.2 or simply moving Emdebian to
1.12 ahead of Debian
 Debian doesn't use the busybox chpasswd in the installer so this bug
doesn't affect Debian as-such
 testing the full config now
<blindvt_> codehelp, i don't know since when it was fixed. r23046 has
nothing to do with it, that one only fixed -e which is not exercised in
your example above
<codehelp> ok
<blindvt_> codehelp, 1.10.4 should work equally well. I'd go for 1.11.1
if i was about to update, though. http://busybox.net/ has a shortlist of
changes for the respective versions
 codehelp, i'll install r23046 on the stable branch in a day or two, to
make sure it ends in the next 1.11 release, fwiw
<codehelp> just so you know, the full diff between 1.10.2 chpasswd.c and
chpasswd.c in current SVN relies on other changes elsewhere because the
build breaks with that patch. Not surprising but it does mean Emdebian
will need to migrate to 1.11.1 rather than try to backport the
chpasswd.c change to 1.10.2
<blindvt_> codehelp, nod. I would recommend and do support going to
1.11.1 at any rate. There were numerous bugfixes and 1.11 is the current
stable release, as opposed to the 1.10.x series which is considered old
<codehelp> agreed - it was only after the worksession at TCl in
Cambridge in June that Debian moved from 1.9 to 1.10 :-)
 it's not unexpected that Emdebian will need to be ahead of Debian
temporarily
<blindvt_> it's a pity that there are so many superfluous and long fixed
but open bugreports against busybox in various parts of debian. Makes
looking for actual bugs or wishes a bit awkward.
 and i'm not sure if i'm allowed to try to tag them as resolved. I guess
doing so would not be well received which of course doesn't help to cut
down on the number of open bugs
<codehelp> with the extra encouragement from Emdebian, I'm hoping that
D-I will be willing to keep busybox up to date in future - changing
things right now is probably not achievable but certainly once Lenny is
released. You can tag any Debian bugs as "fixed-upstream" - feel free to
do so.
 resolved or closed has a different meaning - fixed-upstream indicates
that the bug submitter needs to nag the maintainer (the Debian Installer
team) to update
<blindvt_> codehelp, ok, i see.
<codehelp> blindvt_ : I have an opportunity to get this whole thing
fixed for Lenny!
<blindvt_> codehelp, awesome. fore! 8)
<codehelp> If you are OK with me quoting this IRC log in the bug report,
I can re-assign the existing Emdebian bug report to busybox in Debian,
make it Release-Critical (as already agreed with D-I) and get it
fixed. :-)
<blindvt_> codehelp, sure, please do.

So I'll re-assign this bug to busybox and raise severity to RC.

Recommended fix is to update busybox to 1.11 once this fix is
backported.

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/


[signature.asc (application/pgp-signature, inline)]

Severity set to `serious' from `important' Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Tue, 05 Aug 2008 13:54:04 GMT) Full text and rfc822 format available.

Bug reassigned from package `general' to `busybox'. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Tue, 05 Aug 2008 13:54:05 GMT) Full text and rfc822 format available.

Changed Bug title to `busybox: chpasswd fails to set root password' from `buildd.emdebian.org: busybox chpasswd broken in crossbuilt package'. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Tue, 05 Aug 2008 13:54:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#484700; Package busybox. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #21 received at 484700@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: control@bugs.debian.org
Cc: 484700@bugs.debian.org
Subject: severity of 484700 is important
Date: Tue, 05 Aug 2008 10:07:46 -0700
# Automatically generated email from bts, devscripts version 2.10.35
# nothing here fits the policy for serious
severity 484700 important





Severity set to `important' from `serious' Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Tue, 05 Aug 2008 17:09:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#484700; Package busybox. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #28 received at 484700@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 484700@bugs.debian.org
Subject: Re: busybox: chpasswd fails to set root password
Date: Wed, 06 Aug 2008 13:10:22 +0200
severity 484700 serious
thanks

---snip---
[...]
2008-08-05 13:27:42 < panthera> waldi: chpasswd from busybox is broken
in lenny/sid when setting the
rootpassword
2008-08-05 13:28:21 < panthera> it hangs when setting it, and destroys
the shadow file (found out by
codehelp)
2008-08-05 13:28:40 < panthera> but it is fixed in current svn. although
this is not used directly in
 d-i,
2008-08-05 13:28:59 < panthera> would you consider fixing it by
backporting the patch?
2008-08-05 13:29:09 < panthera> or is it a no-go because of d-i?
2008-08-05 13:29:41 < Lunar^> panthera: sounds like an RC bug to me
2008-08-05 13:29:55 < otavio> panthera: I ack with Lunar^ on that
2008-08-05 13:30:08 < otavio> panthera: agree, sorry
2008-08-05 13:31:04 < otavio> Lunar^: do you still have anything to
push? Please do
2008-08-05 13:31:50 < panthera> Lunar^, otavio: ok, will ask codehelp to
issue the bug report then.
[...]
---snap---

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Severity set to `serious' from `important' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Wed, 06 Aug 2008 11:12:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#484700; Package busybox. Full text and rfc822 format available.

Acknowledgement sent to Bernhard Reutner-Fischer <rep.dot.nop@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 484700@bugs.debian.org (full text, mbox):

From: Bernhard Reutner-Fischer <rep.dot.nop@gmail.com>
To: 484700@bugs.debian.org
Subject: Re: busybox: chpasswd fails to set root password
Date: Fri, 5 Sep 2008 16:20:38 +0200
Hi,

Just double-checked against current d-i and the current stable release
of busybox ( pristine 1.11.2 ) to confirm that this is fixed upstream.

thanks,




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#484700; Package busybox. Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #40 received at 484700@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 484700@bugs.debian.org
Subject: New options in busybox 1.11.2
Date: Sun, 07 Sep 2008 20:08:51 +0100
[Message part 1 (text/plain, inline)]
This is the list of options that require new configuration values in the
config.deb from 1.10.2 to 1.11.2:

Assume that 1:1 char/glyph correspondence is not true (FEATURE_ASSUME_UNICODE) [N/y/?] (NEW) 
exec prefers applets (FEATURE_PREFER_APPLETS) [N/y/?] (NEW) 
Cross Compiler prefix (CROSS_COMPILER_PREFIX) [] (NEW) 
Support infiniband HW (FEATURE_HWIB) [Y/n/?] (NEW) 
Support for archive creation (FEATURE_CPIO_O) [N/y/?] (NEW) 
Use internal DES and MD5 crypt functions (USE_BB_CRYPT) [Y/n/?] (NEW) 
depmod (DEPMOD) [N/y/?] (NEW) 
Support priority option -p (FEATURE_SWAPON_PRI) [N/y/?] (NEW) 
fbsplash (FBSPLASH) [N/y/?] (NEW) 
inotifyd (INOTIFYD) [N/y/?] (NEW) 
last (LAST) [Y/n/?] y
  Choose last implementation
  > 1. small (FEATURE_LAST_SMALL) (NEW)
    2. huge (FEATURE_LAST_FANCY) (NEW)
  choice[1-2]: 1
man (MAN) [N/y/?] (NEW) 
bash-compatible extensions (ASH_BASH_COMPAT) [Y/n/?] (NEW) 
Builtin version of 'printf' (ASH_BUILTIN_PRINTF) [Y/n/?] (NEW) 
Build BusyBox as a position independent executable (PIE) [N/y/?] (NEW)

So far, Emdebian is taking the defaults for these options but our
testing is far from exhaustive.


-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.nosoftwarepatents.com/
http://www.linux.codehelp.co.uk/


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#484700; Package busybox. Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #45 received at 484700@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 484700@bugs.debian.org
Subject: Re: busybox: chpasswd fails to set root password
Date: Mon, 08 Sep 2008 00:08:39 +0100
[Message part 1 (text/plain, inline)]
I tried enabling chpasswd in a regular build of busybox on i386, and
wasn't able to reproduce this bug.  I also inspected the source code
closely and couldn't see any way for chpaswd to fail without first
printing an error message to stderr.  So I'm wondering whether there
could be some build-chain problem that has affected arm (cross-)builds
for Emdebian.

Neil pointed me at a broken binary package:
http://www.emdebian.org/packages/pool/main/b/busybox/busybox_1.10.2-1em2_arm.deb
However I haven't yet been able to set up an ARM system on which to test
this (I don't have root on a developer machine!).

Ben.

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#484700; Package busybox. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #50 received at 484700@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 484700@bugs.debian.org
Cc: 484700-submitter@bugs.debian.org
Subject: Bug#484700: busybox: chpasswd fails to set root password
Date: Thu, 11 Sep 2008 21:49:10 +0200
severity 484700 important
tags 484700 unreproducible
thanks

As Ben Hutchings has also not been able to reproduce the bug on my arm 
(old ABI) system and as he mentioned on IRC (and I agree) that this issue 
is not RC for Debian as a whole anyway (it does not make the package 
unsuitable for release), I am downgrading this report.

Cheers,
FJP




Severity set to `important' from `serious' Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Thu, 11 Sep 2008 19:54:06 GMT) Full text and rfc822 format available.

Tags added: unreproducible Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Thu, 11 Sep 2008 19:54:06 GMT) Full text and rfc822 format available.

Message sent on to Neil Williams <codehelp@debian.org>:
Bug#484700. Full text and rfc822 format available.

Reply sent to Michael Tokarev <mjt@tls.msk.ru>:
You have taken responsibility. (Tue, 07 Dec 2010 20:57:09 GMT) Full text and rfc822 format available.

Notification sent to Neil Williams <codehelp@debian.org>:
Bug acknowledged by developer. (Tue, 07 Dec 2010 20:57:09 GMT) Full text and rfc822 format available.

Message #62 received at 484700-done@bugs.debian.org (full text, mbox):

From: Michael Tokarev <mjt@tls.msk.ru>
To: 484700-done@bugs.debian.org
Subject: Re: Bug#484700: busybox: chpasswd fails to set root password
Date: Tue, 07 Dec 2010 23:53:15 +0300
Version: 1:1.17.1-8

11.09.2008 23:49, Frans Pop wrote:
> severity 484700 important
> tags 484700 unreproducible
> thanks
> 
> As Ben Hutchings has also not been able to reproduce the bug on my arm 
> (old ABI) system and as he mentioned on IRC (and I agree) that this issue 
> is not RC for Debian as a whole anyway (it does not make the package 
> unsuitable for release), I am downgrading this report.

Current busybox (neither of the 3 flavours - regular package, busybox-static
and busybox-udeb) does not include chpasswd applet anymore.

I also looked at the (current, as of 1:1.17.1-8) code - it looks correct
now.  I rebuilt the package (enabling chpass applet) - it appears to work
as expected, at least on i386.

So closing this bug now.  The lack of chpass applet may warrant another
bugreport.

Thanks!

/mjt




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 05 Jan 2011 07:30:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:55:28 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.